IcedTea-Web NetX

## net.sourceforge.jnlp.controlpanel
Class ComboItem

    java.lang.Object
      net.sourceforge.jnlp.controlpanel.ComboItem

    public class ComboItem

extends java.lang.Object

This is to be used with combobox items. Allows storing a value which differs from the key.

Constructor Summary
`ComboItem(java.lang.String text, java.lang.String value)` Create a new instance of combobox items.

Method Summary
`java.lang.String` `getValue()` Get the value associated with this item.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComboItem

    public ComboItem(java.lang.String text,
                     java.lang.String value)

  Create a new instance of combobox items.

  Parameters:
    `text` - Text to be displayed by JComboBox
    `value` - Value associated with this item.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getValue

    public java.lang.String getValue()

  Get the value associated with this item.

  Returns:
    Associated value.

IcedTea-Web NetX

Submit a bug or feature